package com.ch.jedge.glm;

import com.changhong.jedge.JMgbusClient;

import static com.ch.jedge.jbot.JEJBotLLMConst.sval_default_glm6b_service;
import static com.ch.jedge.jbot.JEJBotLLMConst.sval_modual_glm_llm;

public class JedgeGlmDriverClient extends JMgbusClient {

    static private JedgeGlmDriverClient glmDriverClient;

    public JedgeGlmDriverClient(String subnet, String mgc_name, int threadCount, boolean tryLocal) {
        super(subnet, mgc_name, threadCount, tryLocal);
    }

    public static JedgeGlmDriverClient getInstance() {
        if(glmDriverClient == null) {
            glmDriverClient = new JedgeGlmDriverClient("#0", sval_modual_glm_llm, 10, true);
            JedgeGlmBridgeService service = new JedgeGlmBridgeService(glmDriverClient);
            glmDriverClient.bindService(sval_default_glm6b_service, service);
        }
        return glmDriverClient;
    }

}
